/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\PlagueBeastLordQuest\Items\Plague_deco.cs
Lines of code: 34
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class Plague_deco : Item
	{
		public Plague_deco( int itemID, string name, int color, bool movable, bool visible ) : base( itemID )
		{
			Name = name;
			Movable = movable;
			Visible = visible;
			Hue = color;
			Weight = 0;
		}

		[Constructable]
		public Plague_deco() : this( 7407, PlagueHelper.Line[16], 1271, true, true )
		{
		}

		public Plague_deco( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			Weight = 1;
		}
	}
}
